Extending Qt Creator Manual | Find

Extending Qt Creator Manual 4.5.2

# Find Class

(Core::Find)

- List of all members, including inherited members

## Public Types

enum | FindDirection { FindForwardDirection, FindBackwardDirection }

## Signals

void | findFlagsChanged()

## Static Public Members

QStringListModel * | findCompletionModel()
FindFlags | findFlags()
bool | hasFindFlag(FindFlag flag)
Find * | instance()
void | openFindDialog(IFindFilter *filter)
void | openFindToolBar(FindDirection direction)
QStringListModel * | replaceCompletionModel()
void | setBackward(bool backward)
void | setCaseSensitive(bool sensitive)
void | setPreserveCase(bool preserveCase)
void | setRegularExpression(bool regExp)
void | setUseFakeVim(bool on)
void | setWholeWord(bool wholeOnly)
void | updateFindCompletion(const QString &text)
void | updateReplaceCompletion(const QString &text)

## Member Type Documentation

### enum Find::FindDirection

## Member Function Documentation

### `[static]` QStringListModel *Find::findCompletionModel()

### `[static]` FindFlags Find::findFlags()

### `[signal]` void Find::findFlagsChanged()

### `[static]` bool Find::hasFindFlag(FindFlag flag)

### `[static]` Find *Find::instance()

### `[static]` void Find::openFindDialog(IFindFilter *filter)

### `[static]` void Find::openFindToolBar(FindDirection direction)

### `[static]` QStringListModel *Find::replaceCompletionModel()

### `[static]` void Find::setBackward(bool backward)

### `[static]` void Find::setCaseSensitive(bool sensitive)

### `[static]` void Find::setPreserveCase(bool preserveCase)

### `[static]` void Find::setRegularExpression(bool regExp)

### `[static]` void Find::setUseFakeVim(bool on)

### `[static]` void Find::setWholeWord(bool wholeOnly)

### `[static]` void Find::updateFindCompletion(const QString &text)

### `[static]` void Find::updateReplaceCompletion(const QString &text)